Maton

Get Run

GET/functions/{function_id}/runs/{run_id}

Authorization

bearerAuth
AuthorizationBearer <token>

Your Maton API key, sent as Authorization: Bearer <MATON_API_KEY>. Create one at https://maton.ai/settings.

In: header

Path Parameters

function_id*string

The function's unique identifier.

run_id*string

The run's unique identifier.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET \  "https://api.maton.ai/functions/{function_id}/runs/{run_id}" \  -H "Authorization: Bearer $MATON_API_KEY"
{
  "run_id": "2f9d4c1b-6e3a-4f5b-9c7d-8e0a1b2c3d4e",
  "function_id": "7c1e2f3a-9b4d-4c8e-a1f2-3b4c5d6e7f80",
  "version": 3,
  "request": {
    "method": "POST",
    "raw_path": "/",
    "path": "/",
    "raw_query_string": "",
    "query_params": {},
    "headers": {
      "authorization": "[REDACTED]",
      "content-type": "application/json",
      "host": "my-fn-3k9xq2v.maton.app"
    },
    "cookies": [],
    "body": "{\"name\": \"ada\"}",
    "is_base64_encoded": false,
    "source_ip": "203.0.113.7",
    "user_agent": "maton/0.3.0",
    "protocol": "HTTP/1.1",
    "host": "my-fn-3k9xq2v.maton.app",
    "label": "my-fn-3k9xq2v"
  },
  "response": {
    "status": 200,
    "headers": {
      "content-type": "application/json"
    },
    "body": {
      "greeting": "hi ada"
    }
  },
  "created_at": "2026-08-31T22:41:02.113004Z",
  "started_at": "2026-08-31T22:41:02.240118Z",
  "ended_at": "2026-08-31T22:41:02.398772Z"
}
{
  "message": "Invalid API key.",
  "type": "Unauthorized",
  "code": 401
}
{
  "message": "Resource not found.",
  "type": "Not Found",
  "code": 404
}
{
  "message": "Too many requests.",
  "type": "Too Many Requests",
  "code": 429
}
{
  "message": "Internal server error.",
  "type": "Internal Server Error",
  "code": 500
}